[JIRA] Commented: (HUDSON-4433) log4j upgrade to version 1.2.12 or later

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[JIRA] Commented: (HUDSON-4433) log4j upgrade to version 1.2.12 or later

Hudson issues mailing list

    [ http://issues.hudson-ci.org/browse/HUDSON-4433?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=136195#action_136195 ]

JulB4 commented on HUDSON-4433:
-------------------------------

I have similar problem. I'm using jars which are dependent on newest version of log4j. As workaround which I can suggest is to endorse log4j jar e.g. by java.endorsed.dirs property. I'm not using many plugins but so far Hudson works fine for me with log4j-1.2.14 (Hudson 341).

> log4j upgrade to version 1.2.12 or later
> ----------------------------------------
>
>                 Key: HUDSON-4433
>                 URL: http://issues.hudson-ci.org/browse/HUDSON-4433
>             Project: Hudson
>          Issue Type: Bug
>          Components: core
>    Affects Versions: current
>         Environment: Platform: All, OS: All
>            Reporter: abarbieri
>
> Hello,
> I have noticed these warning after I performed an Hudson upgrade from 1.317 to
> 1.318
> SLF4J: This version of SLF4J requires log4j version 1.2.12 or later. See also
> http://www.slf4j.org/codes.html#log4j_version
> log4j:WARN No appenders could be found for logger
> (org.apache.commons.beanutils.converters.BooleanConverter).
> log4j:WARN Please initialize the log4j system properly.
> Constructor called: 15 false
> Constructor called: 30 true
> Constructor called: 10 false
> Constructor called: 10 false
> Constructor called: 15 false
> Constructor called: 15 false
> Constructor called: 10 false
> Constructor called: 15 false
> Constructor called: 15 false
> Constructor called: 15 false
> Constructor called: 15 false
> Constructor called: 30 false
> Constructor called: 15 false
> Constructor called: 15 false
> Constructor called: 10 false
> Constructor called: 10 false
> Constructor called: 3 false
> Constructor called: 3 false
> Constructor called: 5 false
> Constructor called: 5 false
> Constructor called: 45 false
> Constructor called: 30 false
> Constructor called: 15 false
> I am now at Hudson version 1.323 and still seeing the warnings. the current
> bundled log4j jar file is at version 1.2.9.
> would it be possible to upgrade to 1.2.12? the latest stable version for log4j
> is 1.5.8 but I am not sure if it will introduce breaking changes.

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.hudson-ci.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]